Integrations

Fixed issue Fixed in Description
40104985 26.3.1

API to get query by date range now evaluates all query operations done within the date range

The following API used to get query details by date range has been enhanced to evaluate all query lifecycle operations:
GET /ec-query-svc/rest/v1.0/studies/{studyId}/{mode}/queryDetails/dateRange
These operations include create, answer, close, reopen, and reassign.

Previously, this API was restricted to evaluate the initial query creation date only. This meant that only queries that were created on the given date range were to be included in the API response. Now, all queries that had any kind of update occurred within the inclusive provided date range are included when using this API. This enhancement makes those queries also available to downstream integrations.

38271376 26.3.1

Coding records for Oracle Central Coding are processed efficiently

The system now processes large volumes of coding records in batches, reducing processing time and improving the reliability of Oracle Central Coding jobs. Previously, processing records individually caused delayed and contributed to job failures.

39523022 26.3.1

Integrations use the correct two-letter state codes for shipping addresses

All integrations now use the correct two-letter state abbreviations for US shipping addresses, while non-US addresses continue to use their existing state or province values. Previously, full US state names were used instead of the required two-letter abbreviations, causing shipment integration issues.

39936344 26.3.1

Organizations are updated successfully through CTMS integration

Organization matching in CTMS now includes the organization type, allowing institutions and labs with matching names to coexist and integration jobs to create or update the correct organization. Previously, an institution or hospital received through integration could be incorrectly matched to an existing lab with the same name and address, causing the integration job to fail.

39972642 26.3.1

Password rotation completes successfully in CTMS

AMS now successfully schedules the next password rotation in CTMS after a supported rotation completes, without an incorrect scheduler authorization error.

39838531

26.3.0.1

Autocode mappings complete successfully without creating duplicates and keeping consistent Object Version Numbers

The GET coding job now completes successfully when creating or sending autocode mappings. Previously, duplicate CODE_MAPPING sets for the same coding configuration could cause the service to process a code-item type more than once in a single flow. This could trigger a duplicate temporal update and a null-record error, leaving coding work unprocessed.

As part of this fix, unique indexes were added to the CODE_MAPPING table to prevent future duplicate functional mappings from being created. The fix also includes database remediation to identify and remove existing duplicate mapping rows and to address the associated duplicate coding-audit records that resulted in job failure.

39946992

26.3.0.1

Clinical One Digital Gateway correctly processes Subject History records with null event types

Clinical One Digital Gateway now correctly processes Subject History records where eventType is null, without throwing an exception. This includes legitimate internal updates, such as AutoSDV, so the relevant integration processing can complete successfully rather than failing on a null event type.

39862828

26.3.0.1

Medication (Verbatim), Indication, and Route are successfully integrated to Oracle Central Coding when processed simultaneously

When a Clinical One integration with Oracle Central Coding processes simultaneous requests for medication, indication, and route, the requests may complete on any order. Previously, it was necessary that the medication was processed first for the other two to succeed. However, with this fix, the three fields are now processed correctly regardless of the order of completion.

38916394

26.3.0.1

Data flags are now managed correctly in integrations with Oracle InForm

Data flags such as Not Applicable or Not Done that can be added as responses to questions in Clinical One Cloud Service are correctly integrated with Oracle InForm. Previously, when data to integrate included a data flag as a response to a question, the integration job failed and the rest of the data could not integrate to Oracle InForm.

38873886

26.3.0.1

Clinical One Digital Gateway properly handles vendor codes with special characters

Clinical One Digital Gateway has been enhanced to use a different data integration API to send vendorCode in the JSON request body, instead of using an endpoint containing vendorCode in the URL path. Previously, as the vendorCode was passed in as a path parameter it would result in an error thrown when the vendor code contained special characters, specially when having slashes as part of it.

39127593

26.3

The MUL and CTMS site integrations compare Shipping Street Address 2 values

Now, when the MUL or CTMS site integration processes shipping addresses, Shipping Street Address 2 is included when comparing address differences. When other shipping address properties also differ, Clinical One can add or update the correct shipping address information for the site.

39043918

26.3

Subject completion form item data is synchronized to Oracle InForm

Now, Clinical One Cloud Service synchronizes form item data entered after a subject completion event to Oracle InForm when the subject completion event and the related data entry are processed in separate scheduled integration runs.

Note: This fix does not update data that was previously not synchronized to Oracle InForm.

39071544

26.3

The CTMS site contact updates do not return missing email errors

Now, the CTMS site integration preserves the contact email address during site contact updates, preventing missing email errors.

39155947

26.3

Updated withdrawal form values are sent to Oracle InForm

Now, when a value entered on a withdrawal form is changed before the withdrawal event is sent to Oracle InForm, the latest value is correctly included in the data, keeping Clinical One Cloud Service and Oracle InForm synchronized.

39186389

26.3

CTMS site integration jobs no longer fail with duplicate key errors

Now, when multiple CTMS site integration jobs run at nearly the same time, Clinical One Cloud Service processes country, state, and province lookup data correctly. This prevents duplicate key errors during CTMS site integration.

39268821

26.3

Clinical One Digital Gateway jobs with long error messages reach a final status

Now, when an integration job has a long error message, Clinical One Digital Gateway saves the job status correctly. This prevents jobs from remaining in Processing status when they should move to Failure or In Retry status.

36995300

26.3

Pooled kit shipment notifications update shipment details correctly

Now, Clinical One Digital Gateway processes shipment notification files for pooled kit shipments and correctly updates shipment details, such as tracking numbers, delivery numbers, and ship dates, when updated files are received.

39367668

26.3

Clinical One Cloud Service retires and unretires studies associated with multi-study integrations

Now, Clinical One Cloud Service can retire or unretire studies successfully when the study is defined in a multi-study integration configuration.